org.codehaus.groovy.runtime.powerassert

## Class ValueRecorder

- java.lang.Object
- - org.codehaus.groovy.runtime.powerassert.ValueRecorder

    public class ValueRecorder
    extends java.lang.Object

Records values produced during evaluation of an assertion statement's truth expression.

Author:
  Peter Niederwieser

### Constructor Summary

Constructors
Constructor and Description
`ValueRecorder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`java.util.List<Value>` `getValues()`
`java.lang.Object` `record(java.lang.Object value, int anchor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValueRecorder

    public ValueRecorder()

### Method Detail

#### clear

    public void clear()

#### record

    public java.lang.Object record(java.lang.Object value,
                                   int anchor)

#### getValues

    public java.util.List<Value> getValues()